libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Enumerations | Variables
libcamera::properties::draft Namespace Reference

Namespace for draft properties. More...

## Enumerations
enum | { COLOR_FILTER_ARRANGEMENT = 10001 }
enum | ColorFilterArrangementEnum { RGGB = 0 , GRBG = 1 , GBRG = 2 , BGGR = 3 , RGB = 4 , MONO = 5 }
| Supported ColorFilterArrangement values. More...

## Variables
const std::array< const ControlValue, 6 > | ColorFilterArrangementValues
| List of all ColorFilterArrangement supported values.
const std::map< std::string, int32_t > | ColorFilterArrangementNameValueMap
| Map of all ColorFilterArrangement supported value names (in std::string format) to value.
const Control< int32_t > | ColorFilterArrangement
| The arrangement of color filters on sensor; represents the colors in the top-left 2x2 section of the sensor, in reading order. Currently identical to ANDROID_SENSOR_INFO_COLOR_FILTER_ARRANGEMENT.

## Detailed Description

Namespace for draft properties.

## Enumeration Type Documentation

## ◆ ColorFilterArrangementEnum

enum libcamera::properties::draft::ColorFilterArrangementEnum

Supported ColorFilterArrangement values.

Enumerator
RGGB | RGGB Bayer pattern.
GRBG | GRBG Bayer pattern.
GBRG | GBRG Bayer pattern.
BGGR | BGGR Bayer pattern.
RGB | Sensor is not Bayer; output has 3 16-bit values for each pixel, instead of just 1 16-bit value per pixel.
MONO | Sensor is not Bayer; output consists of a single colour channel.